## ros-lunar-tf2-ros 0.5.20

=== debian/changelog ===
ros-lunar-tf2-ros (0.5.20-0xenial) xenial; urgency=high

  * Protect the time reset logic from a race condition.
    Fixes #341 <https://github.com/ros/geometry2/issues/341>
    This could incorrectly trigger a buffer clear if two concurrent callbacks were invoked.
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-lunar-tf2-ros (0.5.19-0xenial) xenial; urgency=high

  * fix(buffer-client): Use actionlib api for obtaining result
    Use the API provided by actionlib for waiting for result. This will improve the response time and prevent problems with custom solutions (see #178 <https://github.com/ros/geometry2/issues/178>). This change makes constructor parameter check_frequency obsolute and deprecates it.
  * Add check to buffer_client.py to make sure result is available
    Related issue: #178 <https://github.com/ros/geometry2/issues/178>
  * Add check to reset buffer when rostime goes backwards
  * Fixed the value of expected_success_count_
  * Contributors: Ewoud Pool, Jørgen Borgesen, Stephen Williams

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 08:00:00 -0000

ros-lunar-tf2-ros (0.5.18-0xenial) xenial; urgency=high

  * tf2_ros::Buffer: canTransform can now deal with timeouts smaller than… (#286 <https://github.com/ros/geometry2/issues/286>)
  * More spinning to make sure the message gets through for #129 <https://github.com/ros/geometry2/issues/129>
  * Contributors: Tully Foote, cwecht

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Jul 2018 07:00:00 -0000

ros-lunar-tf2-ros (0.5.17-0xenial) xenial; urgency=high

  * Merge pull request #260 <https://github.com/ros/geometry2/issues/260> from randoms/indigo-devel
    fix python3 import error
  * Merge pull request #257 <https://github.com/ros/geometry2/issues/257> from delftrobotics-forks/python3
    Make tf2_py python3 compatible again
  * Use python3 print function.
  * Contributors: Maarten de Vries, Tully Foote, randoms

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 01 Jan 2018 08:00:00 -0000

ros-lunar-tf2-ros (0.5.16-0xenial) xenial; urgency=high

  * Merge pull request #144 <https://github.com/ros/geometry2/issues/144> from clearpathrobotics/dead_lock_fix
    Solve a bug that causes a deadlock in MessageFilter
  * Clear error string if it exists from the external entry points.
    Fixes #117 <https://github.com/ros/geometry2/issues/117>
  * Make buff_size and tcp_nodelay and subscriber queue size mutable.
  * Remove generate_rand_vectors() from a number of tests. (#227 <https://github.com/ros/geometry2/issues/227>)
    * Remove generate_rand_vectors() from a number of tests.
  * Log jump duration on backwards time jump detection. (#234 <https://github.com/ros/geometry2/issues/234>)
  * replaced dependencies on tf2_msgs_gencpp by exported dependencies
  * Use new-style objects in python 2
  * Solve a bug that causes a deadlock in MessageFilter
  * Contributors: Adel Fakih, Chris Lalancette, Christopher Wecht, Eric Wieser, Koji Terada, Stephan, Tully Foote, koji_terada

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-lunar-tf2-ros (0.5.15-0xenial) xenial; urgency=high

  * tf2_ros: add option to unregister TransformListener (#201 <https://github.com/ros/geometry2/issues/201>)
  * Contributors: Hans-Joachim Krauch

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-lunar-tf2-ros (0.5.14-0xenial) xenial; urgency=high

  * Drop roslib.load_manifest (#191 <https://github.com/ros/geometry2/issues/191>)
  * Adds ability to load TF from the ROS parameter server.
  * Code linting & reorganization
  * Fix indexing beyond end of array
  * added a static transform broadcaster in python
  * lots more documentation
  * remove BufferCore doc, add BufferClient/BufferServer doc for C++, add Buffer/BufferInterface Python documentation
  * Better overview for Python
  * Contributors: Eric Wieser, Felix Duvallet, Jackie Kay, Mikael Arguedas, Mike Purvis

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-lunar-tf2-ros (0.5.13-0xenial) xenial; urgency=high

  * fix documentation warnings
  * Adding tests to package
  * Contributors: Laurent GEORGE, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-lunar-tf2-ros (0.5.12-0xenial) xenial; urgency=high

  * remove annoying gcc warning
    This is because the roslog macro cannot have two arguments that are
    formatting strings: we need to concatenate them first.
  * break canTransform loop only for non-tiny negative time deltas
    (At least) with Python 2 ros.Time.now() is not necessarily monotonic
    and one can experience negative time deltas (usually well below 1s)
    on real hardware under full load. This check was originally introduced
    to allow for backjumps with rosbag replays, and only there it makes sense.
    So we'll add a small duration threshold to ignore backjumps due to
    non-monotonic clocks.
  * Contributors: Vincent Rabaud, v4hn

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-lunar-tf2-ros (0.5.11-0xenial) xenial; urgency=high

  * do not short circuit waitForTransform timeout when running inside pytf. Fixes #102 <https://github.com/ros/geometry_experimental/issues/102>
    roscpp is not initialized inside pytf which means that ros::ok is not
    valid. This was causing the timer to abort immediately.
    This breaks support for pytf with respect to early breaking out of a loop re #26 <https://github.com/ros/geometry_experimental/issues/26>.
    This is conceptually broken in pytf, and is fixed in tf2_ros python implementation.
    If you want this behavior I recommend switching to the tf2 python bindings.
  * inject timeout information into error string for canTransform with timeout
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000


