=== debian/control ===
Source: ros-lunar-tf2-ros
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-actionlib-msgs, ros-lunar-catkin (>= 0.5.68), ros-lunar-geometry-msgs, ros-lunar-message-filters (>= 1.11.1), ros-lunar-roscpp, ros-lunar-rosgraph, ros-lunar-rospy, ros-lunar-rostest, ros-lunar-std-msgs, ros-lunar-tf2, ros-lunar-tf2-msgs, ros-lunar-tf2-py, ros-lunar-xmlrpcpp
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-lunar-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-actionlib-msgs, ros-lunar-geometry-msgs, ros-lunar-message-filters, ros-lunar-roscpp, ros-lunar-rosgraph, ros-lunar-rospy, ros-lunar-std-msgs, ros-lunar-tf2, ros-lunar-tf2-msgs, ros-lunar-tf2-py, ros-lunar-xmlrpcpp
Description: This package contains the ROS bindings for the tf2 library, for both Python and C++.
